Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Types | Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
ContentType Class Reference

Content-Type field value. More...

`#include <contenttype.h>`

Inheritance diagram for ContentType:

## Public Types

typedef FieldParam | Param
typedef FieldParamList | ParamList

## Public Member Functions

| ContentType (const char *)
| ContentType (const std::string &)
| ContentType (const std::string &, const std::string &)
void | set (const std::string &)
void | set (const std::string &, const std::string &)
bool | isMultipart () const
const istring & | type () const
void | type (const std::string &)
void | subtype (const std::string &)
const istring & | subtype () const
const ParamList & | paramList () const
ParamList & | paramList ()
const std::string & | param (const std::string &) const
void | param (const std::string &, const std::string &)
std::string | str () const

## Static Public Attributes

static const char | label []

## Protected Member Functions

FieldValue * | clone () const
Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Detailed Description

Content-Type field value.

## Member Function Documentation

## ◆ clone()

FieldValue * clone | ( |  | ) | const

protected virtual

Implements FieldValue.

## ◆ set()

void set | ( | const std::string & |  | ) |

virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this class was generated from the following file:

- contenttype.h